MantisBT
Mantis Bug Tracker Workflow

View Issue Details Jump to Notes ] Related Changesets ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0028956Open CASCADE[OCCT] OCCT:Codingpublic2017-07-28 10:102017-09-29 16:29
Reporterkgv 
Assigned Tobugmaster 
PrioritynormalSeverityminor 
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version[OCCT] 7.1.0 
Target Version[OCCT] 7.2.0Fixed in Version[OCCT] 7.2.0 
Summary0028956: Coding Rules - eliminate several trivial compiler warnings
DescriptionThe following warnings should be eliminated:
BRepClass3d_SClassifier.cxx:316, GNU C Compiler 4 (gcc), Priority: Normal
'tran' may be used uninitialized in this function

Message_Report.cxx:40, GNU C Compiler 4 (gcc), Priority: Normal
comparison between signed and unsigned integer expressions

Message_Report.cxx:71, GNU C Compiler 4 (gcc), Priority: Normal
comparison between signed and unsigned integer expressions

Message_Report.cxx:98, GNU C Compiler 4 (gcc), Priority: Normal
comparison between signed and unsigned integer expressions

Message_Report.cxx:128, GNU C Compiler 4 (gcc), Priority: Normal
comparison between signed and unsigned integer expressions

Message_Report.cxx:176, GNU C Compiler 4 (gcc), Priority: Normal
comparison between signed and unsigned integer expressions

Message_Report.cxx:211, GNU C Compiler 4 (gcc), Priority: Normal
comparison between signed and unsigned integer expressions

Bisector_BisecAna.cxx:843, Clang (LLVM based), Priority: Normal
unused variable 'Point'

DNaming_Line3DDriver.cxx:121, Clang (LLVM based), Priority: Normal
unused variable 'aDebPoint'

DNaming_Line3DDriver.cxx:127, Clang (LLVM based), Priority: Normal
unused variable 'aDebPoint'

GccAna_Circ2d3Tan_1.cxx:93, Clang (LLVM based), Priority: Normal
unused variable 'center2'

GccAna_Circ2d3Tan_6.cxx:97, Clang (LLVM based), Priority: Normal
unused variable 'Sol1'

GccAna_Circ2d3Tan_8.cxx:95, Clang (LLVM based), Priority: Normal
unused variable 'linintb'

IntCurveSurface_Inter.gxx:949, Clang (LLVM based), Priority: Normal
unused variable 'P'
TagsNo tags attached.
Test case numberNot required
Attached Files

- Relationships

-  Notes
(0068828)
git (administrator)
2017-07-28 10:57

Branch CR28956 has been created by kgv.

SHA-1: 0304ff5830fc4316ff9d77c4ee50815639bb6750


Detailed log of new commits:

Author: kgv
Date: Fri Jul 28 09:42:11 2017 +0300

    0028956: Coding Rules - eliminate several trivial compiler warnings
    
    Eliminated GCC warning -Wsign-compare introduced by patch for #0028786.
    Eliminated (false) GCC warning -Wuninitialized introduced by patch for 0027117.
    
    Suppressed GCC warning "-Wunused-but-set-variable" with OCCT_DEBUG defined
(0068965)
git (administrator)
2017-07-31 17:46

Branch CR28956 has been deleted by kgv.

SHA-1: 0304ff5830fc4316ff9d77c4ee50815639bb6750

- Related Changesets
occt: master 8dbf0462
Timestamp: 2017-07-28 06:42:11
Author: kgv
Committer: bugmaster
Details ] Diff ]
0028956: Coding Rules - eliminate several trivial compiler warnings

Eliminated GCC warning -Wsign-compare introduced by patch for #0028786.
Eliminated (false) GCC warning -Wuninitialized introduced by patch for 0027117.

Suppressed GCC warning "-Wunused-but-set-variable" with OCCT_DEBUG defined
mod - src/Bisector/Bisector_BisecAna.cxx Diff ] File ]
mod - src/BRepClass3d/BRepClass3d_SClassifier.cxx Diff ] File ]
mod - src/DNaming/DNaming_Line3DDriver.cxx Diff ] File ]
mod - src/GccAna/GccAna_Circ2d3Tan_1.cxx Diff ] File ]
mod - src/GccAna/GccAna_Circ2d3Tan_6.cxx Diff ] File ]
mod - src/GccAna/GccAna_Circ2d3Tan_8.cxx Diff ] File ]
mod - src/IntCurveSurface/IntCurveSurface_Inter.gxx Diff ] File ]
mod - src/Message/Message_Report.cxx Diff ] File ]

- Issue History
Date Modified Username Field Change
2017-07-28 10:10 kgv New Issue
2017-07-28 10:10 kgv Assigned To => kgv
2017-07-28 10:14 kgv Relationship added related to 0028786
2017-07-28 10:57 git Note Added: 0068828
2017-07-28 17:18 bugmaster Changeset attached => occt master 8dbf0462
2017-07-28 17:18 bugmaster Assigned To kgv => bugmaster
2017-07-28 17:18 bugmaster Status new => verified
2017-07-28 17:18 bugmaster Resolution open => fixed
2017-07-31 17:46 git Note Added: 0068965
2017-08-18 13:11 bugmaster Test case number => Not required
2017-09-29 16:17 user533 Fixed in Version => 7.2.0
2017-09-29 16:29 user533 Status verified => closed


Copyright © 2000 - 2018 MantisBT Team
Powered by Mantis Bugtracker